package org.jeecg.api.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class LoginReq {

    /**
     * 参数信息
     */
    @ApiModelProperty(value = "参数信息")
    private String code;

    /**
     * 参数信息
     */
    @ApiModelProperty(value = "参数信息")
    private String vid;

    /**
     * 用户唯一标识
     */
    @ApiModelProperty(value = "用户唯一标识")
    private String openid;
    /**
     * 会话密钥
     */
    @ApiModelProperty(value = "会话密钥")
    private String session_key;
    /**
     * 用户姓名
     */
    @ApiModelProperty(value = "用户姓名")
    private String nickName;
    /**
     * 用户头像
     */
    @ApiModelProperty(value = "用户头像")
    private String headimgurl;

    /**
     * 解密标签
     */
    @ApiModelProperty(value = "解密标签")
    private String iv;

    /**
     * 解密
     */
    @ApiModelProperty(value = "解密")
    private String encryptedData;


    /**
     * 邀请者标识
     */
    @ApiModelProperty(value = "邀请者销售标识")
    private String shareId;
}
