package org.jeecg.api.service;

import org.jeecg.api.bean.LoginReq;
import org.jeecg.common.api.vo.Result;


/**
 * @Author lzx
 * @Date 2022-05-13 15:56
 **/
public interface AppletLoginService {

    /**
     * 微信小程序登录接口
     * @param loginReq
     * @return
     */
    Result<Object> appletLogin(LoginReq loginReq);


    /**
     * 微信小程序登录绑定手机号码接口
     * @param code
     * @return
     */
    Result<Object> bindPhone(String  code);
}
