import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '地址',
    align:"center",
    dataIndex: 'address'
   },
   {
    title: '详细',
    align:"center",
    dataIndex: 'addressDetails'
   },
   {
    title: '姓名',
    align:"center",
    dataIndex: 'name'
   },
   {
    title: '电话',
    align:"center",
    dataIndex: 'phone'
   },
   {
    title: '默认',
    align:"center",
    dataIndex: 'defaultFlag'
   },
   {
    title: '用户',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '纬度',
    align:"center",
    dataIndex: 'longitude'
   },
   {
    title: '经度',
    align:"center",
    dataIndex: 'latitude'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '地址',
    field: 'address',
    component: 'Input',
  },
  {
    label: '详细',
    field: 'addressDetails',
    component: 'Input',
  },
  {
    label: '姓名',
    field: 'name',
    component: 'Input',
  },
  {
    label: '电话',
    field: 'phone',
    component: 'Input',
  },
  {
    label: '默认',
    field: 'defaultFlag',
    component: 'InputNumber',
  },
  {
    label: '用户',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '纬度',
    field: 'longitude',
    component: 'Input',
  },
  {
    label: '经度',
    field: 'latitude',
    component: 'Input',
  },
];
