import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '价格',
    align:"center",
    dataIndex: 'price'
   },
   {
    title: '主图',
    align:"center",
    dataIndex: 'icon',
    customRender:render.renderAvatar,
   },
   {
    title: '跳转地址',
    align:"center",
    dataIndex: 'url'
   },
   {
    title: '排序',
    align:"center",
    dataIndex: 'sort'
   },
   {
    title: '详情',
    align:"center",
    dataIndex: 'details',
    slots: { customRender: 'htmlSlot' },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '价格',
    field: 'price',
    component: 'InputNumber',
  },
  {
    label: '主图',
    field: 'icon',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '跳转地址',
    field: 'url',
    component: 'Input',
  },
  {
    label: '排序',
    field: 'sort',
    component: 'InputNumber',
  },
  {
    label: '详情',
    field: 'details',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
];
