package org.jeecg.modules.pay.config;

import lombok.Data;
import lombok.ToString;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Data
@ToString
@Component
@PropertySource("classpath:pay_alipay.properties")
@ConfigurationProperties(prefix = "alipay")
public class AliPay {

    private String appId;

    private String aliPubilcKey;
    
    private String appPrivateKey;
    
    private String appPubilcKey;
}
