package org.jeecg.api.bean;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class PageBean {

    /**显示条数*/
    @ApiModelProperty(value = "显示条数" )
    private Integer pageSize;
    /**当前页*/
    @ApiModelProperty(value = "当前页" )
    private Integer pageNo;

    public PageBean() {
        this.pageNo = 1;
        this.pageSize = 1000;
    }
}
