import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标识',
    align:"center",
    dataIndex: 'keyName'
   },
   {
    title: '说明',
    align:"center",
    dataIndex: 'keyValue'
   },
   {
    title: '内容',
    align:"center",
    dataIndex: 'keyContent'
   },
   {
    title: '类型',
    align:"center",
    dataIndex: 'type_dictText'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标识',
    field: 'keyName',
    component: 'Input',
  },
  {
    label: '说明',
    field: 'keyValue',
    component: 'Input',
  },
  {
    label: '内容',
    field: 'keyContent',
    component: 'Input',
  },
  {
    label: '类型',
    field: 'type',
    component: 'JDictSelectTag',
    componentProps:{
        dictCode:"common_config_type"
     },
  },
];
