import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '金额',
    align:"center",
    dataIndex: 'money'
   },
   {
    title: '满多少可用',
    align:"center",
    dataIndex: 'useMoney'
   },
   {
    title: '结束时间',
    align:"center",
    dataIndex: 'endTime'
   },
   {
    title: '优惠券备注',
    align:"center",
    dataIndex: 'type'
   },
   {
    title: '使用时间',
    align:"center",
    dataIndex: 'stateTime'
   },
   {
    title: '使用用户',
    align:"center",
    dataIndex: 'userId'
   },
   {
    title: '使用状态',
    align:"center",
    dataIndex: 'state'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '金额',
    field: 'money',
    component: 'InputNumber',
  },
  {
    label: '满多少可用',
    field: 'useMoney',
    component: 'InputNumber',
  },
  {
    label: '结束时间',
    field: 'endTime',
    component: 'Input',
  },
  {
    label: '优惠券备注',
    field: 'type',
    component: 'Input',
  },
  {
    label: '使用时间',
    field: 'stateTime',
    component: 'Input',
  },
  {
    label: '使用用户',
    field: 'userId',
    component: 'Input',
  },
  {
    label: '使用状态',
    field: 'state',
    component: 'InputNumber',
  },
];
