import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '标题',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '金额',
    align:"center",
    dataIndex: 'money'
   },
   {
    title: '原金额',
    align:"center",
    dataIndex: 'oldMoney'
   },
   {
    title: '类型',
    align:"center",
    dataIndex: 'type'
   },
   {
    title: '状态',
    align:"center",
    dataIndex: 'state'
   },
   {
    title: '用户标识',
    align:"center",
    dataIndex: 'userId'
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '标题',
    field: 'title',
    component: 'Input',
  },
  {
    label: '金额',
    field: 'money',
    component: 'InputNumber',
  },
  {
    label: '原金额',
    field: 'oldMoney',
    component: 'InputNumber',
  },
  {
    label: '类型',
    field: 'type',
    component: 'InputNumber',
  },
  {
    label: '状态',
    field: 'state',
    component: 'InputNumber',
  },
  {
    label: '用户标识',
    field: 'userId',
    component: 'Input',
  },
];
