import {BasicColumn} from '/@/components/Table';
import {FormSchema} from '/@/components/Table';
import { rules} from '/@/utils/helper/validator';
import { render } from '/@/utils/common/renderUtils';
//列表数据
export const columns: BasicColumn[] = [
    {
    title: '名称',
    align:"center",
    dataIndex: 'title'
   },
   {
    title: '小标题',
    align:"center",
    dataIndex: 'subTitle'
   },
   {
    title: '图标',
    align:"center",
    dataIndex: 'headImage',
    customRender:render.renderAvatar,
   },
   {
    title: '累积满多少可成为',
    align:"center",
    dataIndex: 'money'
   },
   {
    title: '会员权益',
    align:"center",
    dataIndex: 'details',
    slots: { customRender: 'htmlSlot' },
   },
];
//查询数据
export const searchFormSchema: FormSchema[] = [
];
//表单数据
export const formSchema: FormSchema[] = [
  {
    label: '名称',
    field: 'title',
    component: 'Input',
  },
  {
    label: '小标题',
    field: 'subTitle',
    component: 'Input',
  },
  {
    label: '图标',
    field: 'headImage',
     component: 'JImageUpload',
     componentProps:{
      },
  },
  {
    label: '累积满多少可成为',
    field: 'money',
    component: 'InputNumber',
  },
  {
    label: '会员权益',
    field: 'details',
    component: 'JCodeEditor', //TODO String后缀暂未添加
  },
];
